echo off
cls
IF %1NULL==NULL GOTO NotOK

:OK1
IF %2NULL==NULL GOTO NotOK

:OK2
IF %1 == %2 GOTO SingleDrive

:OK3
cls
echo ***********************************************************************
echo **             Working Copy Installation for EC v1.0x                **
echo ***********************************************************************
echo.
echo This utility will install the TLC Software from the program disk
echo in drive [%1:] to the target disk in drive [%2:].  It is primarily
echo used for making working copies of the TLC Software for daily use
echo as a preventative measure against disk wear on the factory disk.
echo.
echo This utility requires the EC program disk and a blank, formatted
echo target disk which will become the working copy.  If the blank
echo disk has not been formatted exit this utility by pressing Ctrl-C
echo and format the disk using the following command :
echo.
echo            FORMAT %2: /S
echo.
echo If this utility is used to transfer the software onto an existing
echo hard disk, then reformatting is absolutely not recommended.  Merely
echo change the directory into the desired directory to receive the files
echo and proceed normally, ignoring the bootable disk warning.  If the
echo hard disk current directory is not set to the proper directory,
echo press Ctrl-C to exit this utility, change directory, and begin again.
echo.
pause

IF EXIST %2:COMMAND.COM GOTO DualDrive

:NotBootable
cls
echo ***********************************************************************
echo **             Working Copy Installation for EC v1.0x                **
echo ***********************************************************************
echo.
echo                         !! WARNING !!
echo.
echo The target disk/directory [%2:] is NOT bootable.  If you wish to stop
echo the installation and reformat the target disk press Ctrl-C.
echo.
echo Remember to format using the '/S' option :
echo.
echo            FORMAT %2: /S
echo.
echo If you are installing onto a hard disk, or you merely do not wish
echo to stop the installation process, press any key to continue ...
echo.
echo.
echo.
echo.
pause
GOTO DualDrive

:NotOK
cls
echo ***********************************************************************
echo **             Working Copy Installation for EC v1.0x                **
echo ***********************************************************************
echo.
echo You must enter in the source and destination drive letters.
echo.
echo    Example: install A B
echo.
GOTO Done

:DualDrive
cls
echo ***********************************************************************
echo **             Working Copy Installation for EC v1.0x                **
echo ***********************************************************************
echo.
echo Installing TLC Software from [%1:] to [%2:] ....
echo.

copy %1:EC.EXE        %2:
copy %1:ENGLISH.LAN   %2:
copy %1:SETTLC.EXE    %2:
copy %1:CONFIG.TLC    %2:
copy %1:AUTOEXEC.BAT  %2:
copy %1:HELPFILE.TX   %2:

rem copy %1:FRAGMENT.EXE  %2:
rem copy %1:FRAGMENT.EXE  %2:

GOTO End

:SingleDrive
cls
echo ***********************************************************************
echo **             Working Copy Installation for EC v1.0x                **
echo ***********************************************************************
echo.
echo Single-Drive systems have a "virtual" A: and B:.  This is the only
echo accepted form of installing with one physical disk drive.  To install
echo using this method invoke INSTALL as follows :
echo.
echo    Example: install A B
echo.
Goto Done

:End
echo.
echo ***********************************************************************
echo **             Working Copy Installation Completed                   **
echo ***********************************************************************

:Done
echo on
